# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "snarkos"
version = "2.0.1"
authors = ["The Aleo Team <hello@aleo.org>"]
description = "A decentralized operating system"
homepage = "https://aleo.org"
keywords = ["aleo", "cryptography", "blockchain", "decentralized", "zero-knowledge"]
categories = ["cryptography", "operating-systems"]
license = "GPL-3.0"
repository = "https://github.com/AleoHQ/snarkOS"
[profile.bench]
opt-level = 3
lto = "thin"
debug = false
debug-assertions = false
rpath = false
incremental = true

[profile.dev]
opt-level = 3
lto = "thin"
debug-assertions = false
incremental = true

[profile.release]
opt-level = 3
lto = "thin"
incremental = true

[profile.test]
opt-level = 3
lto = "thin"
debug = true
debug-assertions = true
incremental = true
[dependencies.aleo-std]
version = "0.1.6"

[dependencies.anyhow]
version = "1"

[dependencies.async-trait]
version = "0.1"

[dependencies.bincode]
version = "1.0"

[dependencies.bytes]
version = "1.0.0"

[dependencies.cfg-if]
version = "1.0"

[dependencies.circular-queue]
version = "0.2"

[dependencies.colored]
version = "2.0"

[dependencies.crossterm]
version = "0.22"

[dependencies.futures]
version = "0.3.19"
features = ["thread-pool"]

[dependencies.hex]
version = "0.4"

[dependencies.hyper]
version = "0.14"
features = ["http1", "runtime", "server", "tcp"]

[dependencies.json-rpc-types]
version = "1.0.2"

[dependencies.jsonrpc-core]
version = "18"

[dependencies.num_cpus]
version = "1"

[dependencies.once_cell]
version = "1"

[dependencies.parking_lot]
version = "0.12"

[dependencies.rand]
version = "0.8"

[dependencies.rayon]
version = "1"

[dependencies.self_update]
version = "0.28"
features = ["archive-zip", "compression-zip-bzip2", "compression-zip-deflate", "compression-flate2"]

[dependencies.serde]
version = "1"

[dependencies.serde_json]
version = "1"
features = ["arbitrary_precision"]

[dependencies.snarkos-metrics]
version = "2.0.1"
optional = true

[dependencies.snarkos-storage]
version = "2.0.1"

[dependencies.snarkvm]
version = "0.8.0"

[dependencies.structopt]
version = "0.3"

[dependencies.thiserror]
version = "1.0"

[dependencies.time]
version = "0.3.7"

[dependencies.tokio]
version = "1"
features = ["io-util", "macros", "net", "rt-multi-thread", "signal", "sync", "time"]

[dependencies.tokio-stream]
version = "=0.1"

[dependencies.tokio-util]
version = "=0.6"
features = ["codec"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter", "parking_lot"]

[dependencies.tui]
version = "0.17.0"
[dev-dependencies.rand_chacha]
version = "0.3"

[dev-dependencies.reqwest]
version = "0.11"
features = ["json"]

[dev-dependencies.rusty-hook]
version = "0.11"

[dev-dependencies.tempfile]
version = "3.2"

[features]
cuda = ["snarkvm/cuda"]
default = []
prometheus = ["snarkos-metrics"]
test = []
